Package com.usatiuk.dhfs.peertrust

# Class PeerInfoCertUpdateTxHook

java.lang.Object
com.usatiuk.dhfs.peertrust.PeerInfoCertUpdateTxHook

All Implemented Interfaces:
  `PreCommitTxHook`

@Singleton public class PeerInfoCertUpdateTxHook extends Object implements PreCommitTxHook

## Constructor Summary

Constructors
Constructor
Description
`PeerInfoCertUpdateTxHook()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onChange(JObjectKey key, JData old, JData cur)`
`void`
`onCreate(JObjectKey key, JData cur)`
`void`
`onDelete(JObjectKey key, JData cur)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.transaction.PreCommitTxHook

`getPriority`

## Constructor Details

### PeerInfoCertUpdateTxHook

public PeerInfoCertUpdateTxHook()

## Method Details

### onChange

public void onChange(JObjectKey key, JData old, JData cur)

Specified by:
  `onChange` in interface `PreCommitTxHook`

### onCreate

public void onCreate(JObjectKey key, JData cur)

Specified by:
  `onCreate` in interface `PreCommitTxHook`

### onDelete

public void onDelete(JObjectKey key, JData cur)

Specified by:
  `onDelete` in interface `PreCommitTxHook`